Bug 3500 - xset won't accept unix-domain font server names
xset won't accept unix-domain font server names
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-16 10:15 EDT by mark.kennedy
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-29 14:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mark.kennedy 1999-06-16 10:15:26 EDT
the font server can be referenced as ':-1', e.g.
"fsinfo -s :-1" or "fslsfonts -s :-1".  but
xset won't accept this form of name when specifying
font sources:

% xset +fp ':-1'
xset:  bad font path element (#38), possible causes are:
    Directory does not exist or has wrong permissions
    Directory missing fonts.dir
    Incorrect font server address or syntax
%
Comment 1 mark.kennedy 1999-06-16 15:13:59 EDT
bug #2759 (which indicates that xfs has been intentionally
TCP-crippled) contains the answer.  the syntax to work with
xset is 'unix/:-1', not ':-1'.  i guess i should have looked at
the source.  thus this bug becomes not a code bug but a
documentation bug.

Note You need to log in before you can comment on or make changes to this bug.